/*
	Copyright 2001, Michael Pfeiffer
*/

#ifndef DRIVERINTERFACE_H
#define DRIVERINTERFACE_H

#include <Accelerant.h>
#include <Drivers.h>
#include <PCI.h>
#include <OS.h>

/*
	This is the info that needs to be shared between the kernel driver and
	the accelerant for the graphics driver wrapper.
*/
#if defined(__cplusplus)
extern "C" {
#endif

#define ACCELERANT_NAME "0wrapper.accelerant"
#define AREA_NAME       "BeTVOutWrapper"

/* device_control opcode: */
enum {
	GDW_DETECT_DRIVER          = ((uint32)(1 << 31)),
	GDW_GET_INT,  /* expects setting_int as arg */
	GDW_GET_BOOL, /* expects setting_bool as arg */
};

typedef struct {
	char* label;
	char* dfault;
	int   result;
} setting_int;

typedef struct {
	char* label;
	int   dfault;
	int   result;	
} setting_bool;

struct SharedData {
	char accelerant[B_PATH_NAME_LENGTH+1]; // of first device
};

#if defined(__cplusplus)
}
#endif


#endif
